<bugID>787285<Summary>Button-within-a-button in downloads panel feels confusing</Summary><Description>Bug 760607 (I think) made it so the "open containing folder" button is within the main button for that download item  - this creates a button-within-a-button effect that feels rather confusing and wrong. Because of how the whole item is highlighted on hover, its not obvious which action will happen when clicking either the item, or the "open containing folder" button.

A compromise between the old style and the new style might be to use something similar to the expandable menu-items in the app menu, where there's a separating line to clearly differentiate two actions. And when hovering over that main part of the item, the second part of the item (open containing folder) is only partially highlighted.</Description></bugID>